<?php
/** 
* @package	uForum 
* @file		eprofile.php
* @version	$Id$
* @copyright	2009(c) PioDer <pioder@wp.pl>
* @link 	http://pioder.gim2przemysl.int.pl/
* @license	GNU GPL v3
**/
define('IN_uF', true);
//include files
include('./config.php');
include('./includes/constants.php');
include('./includes/db.php');
include('./includes/errors.php');
//connect to database
DataBase::db_connect();
include('./includes/sessions.php');
include('./includes/classes/class_user.php');
include('./common.php');
include('./includes/misc_functions.php');
include('./includes/classes/class_posting.php');
include('./includes/classes/class_forum.php');
include('./includes/classes/class_topic.php');
include('./includes/classes/secure.php');
$default_skin = ViewSkinName();
$default_lang = DefaultLang();
include('./lngs/'.$default_lang.'/main.php');
$start = TimeGeneration();
SessDelInvalid();	
SessRegister();
SessDeleteOld();
if ($_SESSION['uid']==0)
{
	$stop = TimeGeneration();
	message_forum($lng['youarenotlogd'],'login.php?mode=login');
}
foreach ($_POST as $name => $value)
{
	if ($forum_config['use_censorlist'])
	{
		$_POST[$name] = Secure::UseCensorlist($value);
	}
}	
$msg='';
$errors = true;
if (isset($_POST['email']))
{
	if ( ereg ("^.+@.+\..+$", $_POST['email']))
	{
		//if user changing password... 
		if ($_POST['password']!='')
		{
			if (md5($_POST['password'])==User::UserInformation($_SESSION['uid'],'pass'))
			{
				if ($_POST['newpassword']==$_POST['confirmpassword'])
				{
					User::UpdatePassword($_SESSION['uid'], md5(strip_tags($_POST['newpassword'])));
					$errors = false;
				}
				else
				{
					$message=$lng['incorrect_password2'];
					$msg = './skins/'.$default_skin.'/post_error_body.tpl';
				}
			}
			else
			{
				$message=$lng['incorrect_password'];
				$msg = './skins/'.$default_skin.'/post_error_body.tpl';  
			}
		}
		else
		{
			if ($_POST['default_skin']!='-1')
			{
				if ($_POST['default_lang']!='-1')
				{
					if ($_POST['limit_tpid']!='-1')
					{
						if ($_POST['limit_ftid']!='-1')
						{
							if ($_POST['limit_users']!='-1')
							{
								if (strlen(trim($_POST['sig']))<$forum_config['sig_len'])
								{
									$errors = false;
								}
								else
								{
									$message = $lng['signature_too_long'];
									$msg = './skins/'.$default_skin.'/post_error_body.tpl';
								} 
							}
							else
							{
								$message = $lng['no_limit_users'];
								$msg = './skins/'.$default_skin.'/post_error_body.tpl';
							} 
						}
						else
						{
							$message = $lng['no_limit_ftid'];
							$msg = './skins/'.$default_skin.'/post_error_body.tpl';
						} 
					}
					else
					{
						$message = $lng['no_limit_tpid'];
						$msg = './skins/'.$default_skin.'/post_error_body.tpl';
					}  
				}
				else
				{
					$message=$lng['invalid_lang'];
					$msg = './skins/'.$default_skin.'/post_error_body.tpl'; 
				}
			}
			else
			{
				$message=$lng['invalid_skin'];
				$msg = './skins/'.$default_skin.'/post_error_body.tpl'; 
			}
		}
		if (!$errors)
		{
			$_POST['ggnumber']=intval($_POST['ggnumber']);
			$_POST['interests']=strip_tags($_POST['interests']);
			$_POST['sig']=Secure::TagsReplace($_POST['sig']);
			$allow_shoutbox = (isset($_POST['allow_shoutbox'])) ? '1' : 0;
			if (isset($_FILES['avatar_file']['tmp_name']))
			{
				$extension = substr($_FILES['avatar_file']['name'],(strlen($_FILES['avatar_file']['name'])-3));
				if (($extension == 'jpg') or ($extension == 'gif'))
				{
					if (file_exists(AV_CATALOG.'av-'.$_SESSION['uid'].'.jpg'))
					{
						unlink(AV_CATALOG.'av-'.$_SESSION['uid'].'.jpg');
					}
					if (file_exists(AV_CATALOG.'av-'.$_SESSION['uid'].'.gif'))
					{
						unlink(AV_CATALOG.'av-'.$_SESSION['uid'].'.gif');
					}
					move_uploaded_file($_FILES['avatar_file']['tmp_name'], AV_CATALOG.'av-'.$_SESSION['uid'].'.'.$extension);
					$imagesize = @getimagesize(AV_CATALOG.'av-'.$_SESSION['uid'].'.'.$extension);
					if (($imagesize[0]<$forum_config['max_av_x']) && ($imagesize[1]<$forum_config['max_av_y']))
					{
						$_POST['avatar'] = AV_CATALOG.'av-'.$_SESSION['uid'].'.'.$extension;
					}
					else
					{
						$_POST['avatar'] = 'images/av-to-big.jpg';
					}
				}
				else
				{
					$_POST['avatar'] = htmlspecialchars($_POST['avatar']);
					if (!preg_match('#^(http)|(ftp):\/\/#i', $_POST['avatar']) && $_POST['avatar'] != 'images/av-to-big.jpg')
					{
						$_POST['avatar'] = 'http://' . $_POST['avatar'];
					}

					if (!preg_match("#^((ht|f)tp://)([^ \?&=\#\"\n\r\t<]*?(\.(jpg|gif))$)#is", $_POST['avatar']) && $_POST['avatar'] != 'images/av-to-big.jpg')
					{
						$_POST['avatar'] = '';	
					}
					else
					{
						$imagesize = getimagesize($_POST['avatar']);
						if (($imagesize[0]<$forum_config['max_av_x']) && ($imagesize[1]<$forum_config['max_av_y']))
						{
							$_POST['avatar'] = $_POST['avatar'];
						}
						else
						{
							$_POST['avatar'] = 'images/av-to-big.jpg';
						}
					}
				}
			}
			else
			{
				$_POST['avatar'] = htmlspecialchars($_POST['avatar']);
				if (!preg_match('#^(http)|(ftp):\/\/#i', $_POST['avatar']) && $_POST['avatar'] != 'images/av-to-big.jpg')
				{
					$_POST['avatar'] = 'http://' . $_POST['avatar'];
				}

				if (!preg_match("#^((ht|f)tp://)([^ \?&=\#\"\n\r\t<]*?(\.(jpg|gif))$)#is", $_POST['avatar']) && $_POST['avatar'] != 'images/av-to-big.jpg')
				{
					$_POST['avatar'] = '';	
				}
				else
				{
					$imagesize = getimagesize($_POST['avatar']);
					if (($imagesize[0]<$forum_config['max_av_x']) && ($imagesize[1]<$forum_config['max_av_y']))
					{
						$_POST['avatar'] = $_POST['avatar'];
					}
					else
					{
						$_POST['avatar'] = 'images/av-to-big.jpg';
					}
				}
			}	
			User::UpdateProfile($_SESSION['uid'],$_POST['ggnumber'],strip_tags($_POST['email']),$_POST['interests'], $_POST['sig'],$_POST['avatar'],$_POST['allow_qr'],$_POST['allow_email'],$_POST['allow_gg'],$_POST['default_skin'],$_POST['default_lang'], $_POST['limit_tpid'],$_POST['limit_ftid'], $_POST['limit_users'], $allow_shoutbox);
			message_forum($lng['profile_modernized'],'eprofile.php');
		}
	}
	else
	{
		$message=$lng['invalid_email'];
		$msg = './skins/'.$default_skin.'/post_error_body.tpl';  
	}
}
//add skin variables
$skin = array(
//labels profile
'lnick'=>$lng['user_name'],
'lpass'=>$lng['lpassw'],
'lnewpass'=>$lng['new_password'],
'lcpass'=>$lng['confirm_password'],
'lemail'=>'E-mail',
'lgg'=>$lng['gg_number'],
'lallow_gg'=>$lng['allow_gg'],
'lallow_email'=>$lng['allow_email'],
'lallow_qr'=>$lng['allow_qr'],
'linterests'=>$lng['luinterests'],
'lsig'=>$lng['sig'],
'lavaddr'=>$lng['picture_adress'],
'lovpr'=>$lng['general_settings'],
'L.select_value'=>$lng['select_value'],
'L.limit_users'=>$lng['limit_users'],
'OPTIONS.limit_users'=>AddPages2($userdata['limit_users']),
'L.posts_in_topic'=>$lng['limit_posts'],
'OPTIONS.limit_tpid'=>AddPages2($userdata['limit_tpid']),
'L.topics_in_forum'=>$lng['limit_topics'],
'OPTIONS.limit_ftid'=>AddPages2($userdata['limit_ftid']),
'lupr'=>$lng['profile_settings'],
'lspr'=>$lng['signature_settings'],
'ldefault_lang'=>$lng['default_lang'],
'default_lang'=>AddLangs(),
'l2default_lang'=>$lng['select_lang'],
'ldefault_skin'=>$lng['default_skin'],
'default_skin'=>AddSkins(),
'l2default_skin'=>$lng['select_skin'],
'lapr'=>$lng['avatar_settings'],
'lsubmit'=>$lng['save'],
'lreset'=>$lng['reset'],
'nick'=>$userdata['nick'],

//options profile
'sig'=>$userdata['sig'],
'allow'=>$lng['allow'],
'allow_shoutbox'=>($userdata['view_shoutbox']==1) ? 'checked="checked"' : '',
'avatar'=>$userdata['avatar'],
'interests'=>$userdata['interests'],
'email'=>$userdata['email'],
'gg'=>$userdata['gg'],

//options values
'option_no_gg'=>($userdata['allow_gg']==0) ? 'checked="checked"' : '',
'option_no_email'=>($userdata['allow_email']==0) ? 'checked="checked"' : '',
'option_no_qr'=>($userdata['allow_qr']==0) ? 'checked="checked"' : '',
'option_yes_gg'=>($userdata['allow_gg']==1) ? 'checked="checked"' : '',
'option_yes_email'=>($userdata['allow_email']==1) ? 'checked="checked"' : '',
'option_yes_qr'=>($userdata['allow_qr']==1) ? 'checked="checked"' : '',
'no'=>$lng['no'],
'lallow_shoutbox'=>$lng['allow_shoutbox'],
'lavfile'=>$lng['avatar_file'],
'yes'=>$lng['yes']
);
$skin = array_push_associative($skin,GenerateHeader($lng['leprofile'],'</a>&gt; <a href="eprofile.php" class="navigator">'.$lng['leprofile']));
if ($msg=='')
{
	$msg = './skins/'.$default_skin.'/blank.tpl';
}
//do it!
include('./skins/'.$default_skin.'/overall_header.tpl');
include('./skins/'.$default_skin.'/eprofile_body.tpl');
if(RANK=='2')
{
	$skin['pa_link']='<a href="admin/index.php" class="fsmall"><b>'.$lng['pa_link'].'</b></a>';
}
else
{
	$skin['pa_link']='';
}
$stop = TimeGeneration();
$skin['queries'] =  ShowQueries($start, $stop);
include('./skins/'.$default_skin.'/overall_footer.tpl');
?>
